/* 
 * CZ Bind Maker
 * 
 * By: Steven Whitley (aka [CZ] Qw4z0)
 * 
 * CZ Bind Maker is a key Bind utility for Counter-Strike 1.6
 * and is distributed under the GNU Public License.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * If you need further support for this program you may visit
 * http://www.bindmaker.org/ and post in the forums for help.
 * 
 *  
 * Any Changes or modifications of this source may be submitted for inclusion
 * in the official release of CZ Bind Maker to Steve Whitley at support@bindmaker.org.
 *  
 * Be sure to comment your code as follows:
 * 
 * // [ AUTHOR ] [ DATE ] 
 * // [ DESCRIPTION OF THE CHANGE OR ADDITION ]
 * 
 * */

/* ###############################################
 * #          Sand Bar Library License           #
 * ###############################################
 * 
 * This release of SandBar is available at no charge for you to use in your freeware products 
 * royalty-free. This license does not allow distribution of SandBar with software that is
 * sold or generates income in any way. Use of this release is subject to my name being
 * displayed as a credit in the About dialog in your application. If this is unacceptable you
 * will need to purchase the commercial license.
 * 
 * When distributing this product with software where the source code is available (under
 * GPL or other similar licenses) you are required to distribute this license file with the
 * binary. This is to ensure other developers understand fully the terms of this release.
 * 
 * By using, downloading or posessing this product you agree not to attempt to decompile or
 * reverse engineer it in any way. Enjoy!
 * 
 * Tim Dawson
 * http://www.divil.co.uk/net/
 * 
 * */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace CZBindMaker
{
	/// <summary>
	/// Summary description for CZSplash.
	/// </summary>
	public class CZSplash : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label by;
		private System.Windows.Forms.Label label2;
		public System.Windows.Forms.Label m_action;
		private System.Windows.Forms.Label version;
		private System.Windows.Forms.ProgressBar progressBar1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public CZSplash()
		{
			InitializeComponent();
			this.version.Text = "Version "+CZBindMaker.CZBindMakerMainForm.applicationVersion;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(CZSplash));
			this.by = new System.Windows.Forms.Label();
			this.version = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.m_action = new System.Windows.Forms.Label();
			this.progressBar1 = new System.Windows.Forms.ProgressBar();
			this.SuspendLayout();
			// 
			// by
			// 
			this.by.BackColor = System.Drawing.Color.Transparent;
			this.by.ForeColor = System.Drawing.Color.White;
			this.by.Location = new System.Drawing.Point(200, 164);
			this.by.Name = "by";
			this.by.Size = new System.Drawing.Size(120, 16);
			this.by.TabIndex = 0;
			this.by.Text = " 2003 Steven Whitley";
			this.by.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// version
			// 
			this.version.BackColor = System.Drawing.Color.Transparent;
			this.version.ForeColor = System.Drawing.Color.White;
			this.version.Location = new System.Drawing.Point(16, 136);
			this.version.Name = "version";
			this.version.Size = new System.Drawing.Size(496, 16);
			this.version.TabIndex = 1;
			this.version.Text = "Version Information";
			this.version.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.ForeColor = System.Drawing.Color.Gainsboro;
			this.label2.Location = new System.Drawing.Point(164, 192);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(200, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Splash Screen By Casey York  2003";
			this.label2.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// m_action
			// 
			this.m_action.BackColor = System.Drawing.Color.Transparent;
			this.m_action.ForeColor = System.Drawing.Color.White;
			this.m_action.Location = new System.Drawing.Point(144, 56);
			this.m_action.Name = "m_action";
			this.m_action.Size = new System.Drawing.Size(240, 16);
			this.m_action.TabIndex = 3;
			this.m_action.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// progressBar1
			// 
			this.progressBar1.Location = new System.Drawing.Point(200, 72);
			this.progressBar1.Name = "progressBar1";
			this.progressBar1.Size = new System.Drawing.Size(126, 10);
			this.progressBar1.Step = 34;
			this.progressBar1.TabIndex = 4;
			// 
			// CZSplash
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = new System.Drawing.Size(528, 224);
			this.Controls.Add(this.m_action);
			this.Controls.Add(this.progressBar1);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.version);
			this.Controls.Add(this.by);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "CZSplash";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "CZ Bind Maker";
			this.TopMost = true;
			this.ResumeLayout(false);

		}
		#endregion

		public string Action
		{
			set
			{
				this.m_action.Text = value;
				this.progressBar1.PerformStep();
				this.Refresh();
			}
		}
	}
}
